Module org.jfree.chart3d
Package org.jfree.chart3d

# Class Resources

java.lang.Object
org.jfree.chart3d.Resources

public class Resources extends Object
Provides centralised access to localised resources.

Since:
  1.2

## Constructor Summary

Constructors
Constructor
Description
`Resources()`

## Method Summary

Modifier and Type
Method
Description
`static Locale`
`getLocale()`
Returns the locale that is being used for supplying resources.
`static String`
`localString(String key)`
Returns a localised string.
`static void`
`setLocale(Locale l)`
Sets the locale to use for supplying resources.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Resources

public Resources()

## Method Details

### getLocale

public static Locale getLocale()
Returns the locale that is being used for supplying resources. The default value is `Locale.getDefault()`.

Returns:
  The locale (never `null`).

### setLocale

public static void setLocale(Locale l)
Sets the locale to use for supplying resources.

Parameters:
  `l` - the locale (`null` not permitted).

### localString

public static String localString(String key)
Returns a localised string.

Parameters:
  `key` - the key (`null` not permitted).
Returns:
  A localised string.